
from svgnode import SVGNode
from data import filepath
import squirtle
import math



class Whitei(SVGNode):
    def __init__(self):
        player_svg = squirtle.load_layers(filepath('seahouse.svg'), 
                anchor_x = 'center',
                anchor_y = 'center',
            )
        super(Whitei,self).__init__(player_svg['seahorse'])
        self.fastness = 200
        self._rotation = 0
        self._direction = 0
        self.health = 10
        self.tines = 0

    def get_direction(self):
        return self._direction

    def set_direction(self, value):
        if abs(value) == 90:
            if abs(self._direction)>90:
                self.scale = -1, 1
            else:
                self.scale = 1,1

            self.rotation = value /2.0
        elif abs(value) > 90:
            self.rotation = (value - math.copysign(180,value) )/2
            self.scale = -1, 1
        else:
            self.rotation = value /2.0
            self.scale = 1,1
        self._direction = value

    direction = property(get_direction, set_direction)



        



